
#pragma once

// {3147D88F-4785-4278-B7E7-D7B683EA98FB}
DEFINE_GUID(IID_IUAxisVideoSettings, 
0x3147d88f, 0x4785, 0x4278, 0xb7, 0xe7, 0xd7, 0xb6, 0x83, 0xea, 0x98, 0xfb);


DECLARE_INTERFACE_(IUAxisVideoSettings, IUnknown) {

    STDMETHOD(get_Size) (THIS_
                VARIANT_BOOL * pbSmall          /* [out] */    // the current size
             ) PURE;

    STDMETHOD(put_Size) (THIS_
                VARIANT_BOOL   bSmall			/* [in] */     // Change to this size
             ) PURE;

    STDMETHOD(get_CamIPAddress) (THIS_
                BSTR * psIP						/* [out] */    // the current IP Address
             ) PURE;

    STDMETHOD(put_CamIPAddress) (THIS_
                BSTR sIP						/* [in] */    // Change to this IP Address
             ) PURE;

    STDMETHOD(get_Port) (THIS_
                int * pnPort					/* [out] */   // the current Port
             ) PURE;

    STDMETHOD(put_Port) (THIS_
                int    nPort					/* [in] */    // Change to this Port
             ) PURE;

    STDMETHOD(get_Compression) (THIS_
                int * pnCompression				/* [out] */   // the current Compression; // Valid range: -1, 1-100
             ) PURE;                                          //Use -1 to for camera default (compression will not be
                                                              //specified when requesting video from the camera)
    STDMETHOD(put_Compression) (THIS_
                int    nCompression				/* [in] */    // Change to this Compression; // Valid range: -1, 1-100
             ) PURE;                                          //Use -1 to for camera default (compression will not be
                                                              //specified when requesting video from the camera)
    STDMETHOD(get_FramesPerSec) (THIS_
                 int * pnFramesPerSec			/* [out] */   // the current FrameRate
             ) PURE;                                          // Valid range: 1-15

    STDMETHOD(put_FramesPerSec) (THIS_
                  int    nFramesPerSec			/* [in] */    // Change to this FrameRate
             ) PURE;                                          // Valid range: 1-15
};



